org.eclipse.mat.ui.internal.browser

## Class QueryContextHelp

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.PopupDialog
    - - org.eclipse.mat.ui.internal.browser.QueryContextHelp

All Implemented Interfaces:
  IShellProvider

    public class QueryContextHelp
    extends PopupDialog

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.PopupDialog

`HOVER_SHELLSTYLE, INFOPOPUP_SHELLSTYLE, INFOPOPUPRESIZE_SHELLSTYLE, POPUP_HORIZONTALSPACING, POPUP_IMG_MENU, POPUP_IMG_MENU_DISABLED, POPUP_MARGINHEIGHT, POPUP_MARGINWIDTH, POPUP_VERTICALSPACING`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK`

### Constructor Summary

Constructors
Constructor and Description
`QueryContextHelp(Shell parent, IAnnotatedObjectDescriptor query, IQueryContext queryContext, Rectangle bounds)`
`QueryContextHelp(Shell shell, IAnnotatedObjectDescriptor queryDescriptor, Rectangle helpBounds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `close()` Tidy up
`IAnnotatedObjectDescriptor` `getQuery()`
`void` `resize(Rectangle rectangle)`

### Methods inherited from class org.eclipse.jface.dialogs.PopupDialog

`open`

### Methods inherited from class org.eclipse.jface.window.Window

`create, getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryContextHelp

    public QueryContextHelp(Shell shell,
                            IAnnotatedObjectDescriptor queryDescriptor,
                            Rectangle helpBounds)

#### QueryContextHelp

    public QueryContextHelp(Shell parent,
                            IAnnotatedObjectDescriptor query,
                            IQueryContext queryContext,
                            Rectangle bounds)

### Method Detail

#### getQuery

    public IAnnotatedObjectDescriptor getQuery()

#### resize

    public void resize(Rectangle rectangle)

#### close

    public boolean close()

Tidy up

Overrides:
  `close` in class `PopupDialog`